🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Article View: comp.mail.misc
Article #2523

Re: Which headers may Sendmail re-write?

#2523
From: Eliot
Date: Wed, 26 Dec 1990 11:10
62 lines
3057 bytes
[Forgive any missed arguments; I'm running on short expires, these
days].

chip@tct.uucp (Chip Salzenberg) writes:

>In any case, it is *usually* true here that replies
>should go a different route, for these reasons:

> 1. Group replies.
> 2. Avoiding unreliable sites.
> 3. Avoiding rabid rerouters (rutgers and bionet).
> 4. Avoiding Mail Header Mungers From Hell (apple.com).
> 5. Avoiding pessimal paths generated by sites that aren't
>    using up-to-date maps.

(3) and (4) are just plain silly, if they get your mail to where it
has to go (and I'll not accept that otherwise is the case unless you
show me a failure involving my site).  It's your machine, though, and
it is always nice to see my name in bits ;-)

>Thus, to get back to our original subject, it is Evil and Rude to mung
>an RFC822 address from user@valid.domain into valid.domain!user,
>because such munging renders impossible the *correct* handling of
>replies for RFC822-aware but UUCP-only sites.

Well, to use one of your earlier arguments, Chip, just look in the
person's .sig or derive the information from the munged from:.

Seriously, your mail will always be replyable under the RFC 976
method.  This is *NOT* true under your scheme.  Most people care about
whether or not they will be able to reply to mail, not whether it will
go through a path optimizer.  To borrow from your hyperbole, it is
evil and rude to make mail unreplyable.  This isn't to say that you
should have to deal with ! paths.  You have the following remedies:

[1]	If your neighbor is doing this to you, either (a) ask to be
treated as a Smart UUCP (generally possible) or (b) change neighbors.
My understanding is that UUNET can cope with (a), as many sites.

[2]	If someone way upstream is doing this to you, (a) shortcut and
x-late to domains or (b) execute [1] (b).

>But, as you note in an unquoted portion of your
>article, bang notation is relative, whereas RFC822 notation is
>absolute.  Thus @-to-! translation is a semantic change, not just a
>syntactic one.

So what?  The real question is whether information is lost.  The
answer to that question based on RFC 1123 is NO (there used to be one
exception).

>Therefore, gratuitous conversion of addresses from
>absolute to relative is (all together, now): Evil and Rude.

See above.  It's not gratuitous, and therefore not evil and rude.


-- 
Happy Holidays!

Eliot Lear
[lear@turbo.bio.net]
Technical Details
Message-ID: <Dec.26.03.10.52.1990.29900@turbo.bio.net>
Path: arc1-ca.pugleaf.net!utzoo!utgpu!news-server.csri.toronto.edu!rutgers!usc!zaphod.mps.ohio-state.edu!uakari.primate.wisc.edu!dali.cs.montana.edu!caen!uwm.edu!bionet!turbo.bio.net!lear
References: <1990Dec19.171943.18595@chinet.chi.il.us> <27710AE7.1356@tct.uucp> <1990Dec21.193938.29940@chinet.chi.il.us> <27763742.4907@tct.uucp>

Show Full Headers
Complete Article Headers
Path: arc1-ca.pugleaf.net!utzoo!utgpu!news-server.csri.toronto.edu!rutgers!usc!zaphod.mps.ohio-state.edu!uakari.primate.wisc.edu!dali.cs.montana.edu!caen!uwm.edu!bionet!turbo.bio.net!lear
From: lear@turbo.bio.net (Eliot)
Newsgroups: comp.mail.misc
Subject: Re: Which headers may Sendmail re-write?
Message-ID: <Dec.26.03.10.52.1990.29900@turbo.bio.net>
Date: 26 Dec 90 11:10:52 GMT
References: <1990Dec19.171943.18595@chinet.chi.il.us> <27710AE7.1356@tct.uucp> <1990Dec21.193938.29940@chinet.chi.il.us> <27763742.4907@tct.uucp>
Organization: GenBank Computing Resource for Mol. Biology
Lines: 62